import express from "express";

let app = express();

app.listen(6886,'0.0.0.0');

export const Application = app;

/**
 * @param {import("express").Request} request 
 * @param {import("express").Response} response 
 */
export function cors()
{
    return (request, response, next) => {
        response.setHeader("Access-Control-Allow-Origin","*");
        response.setHeader("Access-Control-Allow-Methods","GET, POST");
        response.setHeader("Access-Control-Allow-Credentials","false");
        response.setHeader("x-powered-by","Qulak/1.1");
        next();
    }
}

/**
 * @param {import("express").Request} request 
 * @param {import("express").Response} response 
 */
export function jsonrequest()
{
    return express.json({
        limit: "5mb"
    })
}